<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "mybatis-3-mapper.dtd">
<mapper namespace="com.mortals.xhx.module.window.dao.ibatis.WindowPerformDaoImpl">

    <!-- 字段和属性映射 -->
    <resultMap type="WindowPerformEntity" id="WindowPerformEntity-Map">
        <id  property="id" column="id" />
        <result property="year" column="year" />
        <result property="month" column="month" />
        <result property="windowId" column="windowId" />
        <result property="windowName" column="windowName" />
        <result property="ownerId" column="ownerId" />
        <result property="ownerName" column="ownerName" />
        <result property="deptId" column="deptId" />
        <result property="deptName" column="deptName" />
        <result property="salaId" column="salaId" />
        <result property="salaName" column="salaName" />
        <result property="workSummary" column="workSummary" />
        <result property="bonusReport" column="bonusReport" />
        <result property="proof" column="proof" />
        <result property="proofUrl" column="proofUrl" />
        <result property="deductStatement" column="deductStatement" />
        <result property="deductScore" column="deductScore" />
        <result property="discipline" column="discipline" />
        <result property="specification" column="specification" />
        <result property="bonusScore" column="bonusScore" />
        <result property="sumScore" column="sumScore" />
        <result property="selfLevel" column="selfLevel" />
        <result property="remark" column="remark" />
        <result property="annex" column="annex" />
        <result property="annexUrl" column="annexUrl" />
        <result property="fillDate" column="fillDate" />
        <result property="fillStatus" column="fillStatus" />
        <result property="createUserId" column="createUserId" />
        <result property="createTime" column="createTime" />
        <result property="updateUserId" column="updateUserId" />
        <result property="updateTime" column="updateTime" />
        <result property="windowCode" column="windowCode" />

    </resultMap>


    <!-- 表所有列 -->
    <sql id="_columns">
        <trim suffixOverrides="," suffix="">
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('id') or colPickMode == 1 and data.containsKey('id')))">
                a.id,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('year') or colPickMode == 1 and data.containsKey('year')))">
                a.year,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('month') or colPickMode == 1 and data.containsKey('month')))">
                a.month,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('windowId') or colPickMode == 1 and data.containsKey('windowId')))">
                a.windowId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('windowName') or colPickMode == 1 and data.containsKey('windowName')))">
                a.windowName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('ownerId') or colPickMode == 1 and data.containsKey('ownerId')))">
                a.ownerId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('ownerName') or colPickMode == 1 and data.containsKey('ownerName')))">
                a.ownerName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('deptId') or colPickMode == 1 and data.containsKey('deptId')))">
                a.deptId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('deptName') or colPickMode == 1 and data.containsKey('deptName')))">
                a.deptName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('salaId') or colPickMode == 1 and data.containsKey('salaId')))">
                a.salaId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('salaName') or colPickMode == 1 and data.containsKey('salaName')))">
                a.salaName,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('workSummary') or colPickMode == 1 and data.containsKey('workSummary')))">
                a.workSummary,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('bonusReport') or colPickMode == 1 and data.containsKey('bonusReport')))">
                a.bonusReport,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('proof') or colPickMode == 1 and data.containsKey('proof')))">
                a.proof,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('proofUrl') or colPickMode == 1 and data.containsKey('proofUrl')))">
                a.proofUrl,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('deductStatement') or colPickMode == 1 and data.containsKey('deductStatement')))">
                a.deductStatement,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('deductScore') or colPickMode == 1 and data.containsKey('deductScore')))">
                a.deductScore,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('discipline') or colPickMode == 1 and data.containsKey('discipline')))">
                a.discipline,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('specification') or colPickMode == 1 and data.containsKey('specification')))">
                a.specification,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('bonusScore') or colPickMode == 1 and data.containsKey('bonusScore')))">
                a.bonusScore,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('sumScore') or colPickMode == 1 and data.containsKey('sumScore')))">
                a.sumScore,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('selfLevel') or colPickMode == 1 and data.containsKey('selfLevel')))">
                a.selfLevel,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('remark') or colPickMode == 1 and data.containsKey('remark')))">
                a.remark,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('annex') or colPickMode == 1 and data.containsKey('annex')))">
                a.annex,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('annexUrl') or colPickMode == 1 and data.containsKey('annexUrl')))">
                a.annexUrl,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('fillDate') or colPickMode == 1 and data.containsKey('fillDate')))">
                a.fillDate,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('fillStatus') or colPickMode == 1 and data.containsKey('fillStatus')))">
                a.fillStatus,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createUserId') or colPickMode == 1 and data.containsKey('createUserId')))">
                a.createUserId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('createTime') or colPickMode == 1 and data.containsKey('createTime')))">
                a.createTime,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateUserId') or colPickMode == 1 and data.containsKey('updateUserId')))">
                a.updateUserId,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('updateTime') or colPickMode == 1 and data.containsKey('updateTime')))">
                a.updateTime,
            </if>
            <if test="(data == null) or (data != null and ( colPickMode == 0 and !data.containsKey('windowCode') or colPickMode == 1 and data.containsKey('windowCode')))">
                a.windowCode,
            </if>
        </trim>
    </sql>
    <!-- 新增 区分主键自增加还是业务插入 -->
    <insert id="insert" parameterType="WindowPerformEntity"  useGeneratedKeys="true" keyProperty="id">
        insert into mortals_xhx_window_perform
        (year,month,windowId,windowName,ownerId,ownerName,deptId,deptName,salaId,salaName,workSummary,bonusReport,proof,proofUrl,deductStatement,deductScore,discipline,specification,bonusScore,sumScore,selfLevel,remark,annex,annexUrl,fillDate,fillStatus,createUserId,createTime,updateUserId,updateTime,windowCode)
        VALUES
        (#{year},#{month},#{windowId},#{windowName},#{ownerId},#{ownerName},#{deptId},#{deptName},#{salaId},#{salaName},#{workSummary},#{bonusReport},#{proof},#{proofUrl},#{deductStatement},#{deductScore},#{discipline},#{specification},#{bonusScore},#{sumScore},#{selfLevel},#{remark},#{annex},#{annexUrl},#{fillDate},#{fillStatus},#{createUserId},#{createTime},#{updateUserId},#{updateTime},#{windowCode})
    </insert>

    <!-- 批量新增 -->
    <insert id="insertBatch" parameterType="paramDto">
        insert into mortals_xhx_window_perform
        (year,month,windowId,windowName,ownerId,ownerName,deptId,deptName,salaId,salaName,workSummary,bonusReport,proof,proofUrl,deductStatement,deductScore,discipline,specification,bonusScore,sumScore,selfLevel,remark,annex,annexUrl,fillDate,fillStatus,createUserId,createTime,updateUserId,updateTime,windowCode)
        VALUES
        <foreach collection="data.dataList" item="item" index="index" separator="," >
            (#{item.year},#{item.month},#{item.windowId},#{item.windowName},#{item.ownerId},#{item.ownerName},#{item.deptId},#{item.deptName},#{item.salaId},#{item.salaName},#{item.workSummary},#{item.bonusReport},#{item.proof},#{item.proofUrl},#{item.deductStatement},#{item.deductScore},#{item.discipline},#{item.specification},#{item.bonusScore},#{item.sumScore},#{item.selfLevel},#{item.remark},#{item.annex},#{item.annexUrl},#{item.fillDate},#{item.fillStatus},#{item.createUserId},#{item.createTime},#{item.updateUserId},#{item.updateTime},#{item.windowCode})
        </foreach>
    </insert>


    <!-- 根据ParamDto更新 -->
    <update id="update" parameterType="paramDto">
        update mortals_xhx_window_perform as a
        set
        <trim suffixOverrides="," suffix="">
            <if test="(colPickMode==0 and data.containsKey('year')) or (colPickMode==1 and !data.containsKey('year'))">
                a.year=#{data.year},
            </if>
            <if test="(colPickMode==0 and data.containsKey('yearIncrement')) or (colPickMode==1 and !data.containsKey('yearIncrement'))">
                a.year=ifnull(a.year,0) + #{data.yearIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('month')) or (colPickMode==1 and !data.containsKey('month'))">
                a.month=#{data.month},
            </if>
            <if test="(colPickMode==0 and data.containsKey('monthIncrement')) or (colPickMode==1 and !data.containsKey('monthIncrement'))">
                a.month=ifnull(a.month,0) + #{data.monthIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('windowId')) or (colPickMode==1 and !data.containsKey('windowId'))">
                a.windowId=#{data.windowId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('windowIdIncrement')) or (colPickMode==1 and !data.containsKey('windowIdIncrement'))">
                a.windowId=ifnull(a.windowId,0) + #{data.windowIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('windowName')) or (colPickMode==1 and !data.containsKey('windowName'))">
                a.windowName=#{data.windowName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('ownerId')) or (colPickMode==1 and !data.containsKey('ownerId'))">
                a.ownerId=#{data.ownerId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('ownerIdIncrement')) or (colPickMode==1 and !data.containsKey('ownerIdIncrement'))">
                a.ownerId=ifnull(a.ownerId,0) + #{data.ownerIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('ownerName')) or (colPickMode==1 and !data.containsKey('ownerName'))">
                a.ownerName=#{data.ownerName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deptId')) or (colPickMode==1 and !data.containsKey('deptId'))">
                a.deptId=#{data.deptId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deptIdIncrement')) or (colPickMode==1 and !data.containsKey('deptIdIncrement'))">
                a.deptId=ifnull(a.deptId,0) + #{data.deptIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deptName')) or (colPickMode==1 and !data.containsKey('deptName'))">
                a.deptName=#{data.deptName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('salaId')) or (colPickMode==1 and !data.containsKey('salaId'))">
                a.salaId=#{data.salaId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('salaIdIncrement')) or (colPickMode==1 and !data.containsKey('salaIdIncrement'))">
                a.salaId=ifnull(a.salaId,0) + #{data.salaIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('salaName')) or (colPickMode==1 and !data.containsKey('salaName'))">
                a.salaName=#{data.salaName},
            </if>
            <if test="(colPickMode==0 and data.containsKey('workSummary')) or (colPickMode==1 and !data.containsKey('workSummary'))">
                a.workSummary=#{data.workSummary},
            </if>
            <if test="(colPickMode==0 and data.containsKey('bonusReport')) or (colPickMode==1 and !data.containsKey('bonusReport'))">
                a.bonusReport=#{data.bonusReport},
            </if>
            <if test="(colPickMode==0 and data.containsKey('proof')) or (colPickMode==1 and !data.containsKey('proof'))">
                a.proof=#{data.proof},
            </if>
            <if test="(colPickMode==0 and data.containsKey('proofUrl')) or (colPickMode==1 and !data.containsKey('proofUrl'))">
                a.proofUrl=#{data.proofUrl},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deductStatement')) or (colPickMode==1 and !data.containsKey('deductStatement'))">
                a.deductStatement=#{data.deductStatement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deductScore')) or (colPickMode==1 and !data.containsKey('deductScore'))">
                a.deductScore=#{data.deductScore},
            </if>
            <if test="(colPickMode==0 and data.containsKey('deductScoreIncrement')) or (colPickMode==1 and !data.containsKey('deductScoreIncrement'))">
                a.deductScore=ifnull(a.deductScore,0) + #{data.deductScoreIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('discipline')) or (colPickMode==1 and !data.containsKey('discipline'))">
                a.discipline=#{data.discipline},
            </if>
            <if test="(colPickMode==0 and data.containsKey('disciplineIncrement')) or (colPickMode==1 and !data.containsKey('disciplineIncrement'))">
                a.discipline=ifnull(a.discipline,0) + #{data.disciplineIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('specification')) or (colPickMode==1 and !data.containsKey('specification'))">
                a.specification=#{data.specification},
            </if>
            <if test="(colPickMode==0 and data.containsKey('specificationIncrement')) or (colPickMode==1 and !data.containsKey('specificationIncrement'))">
                a.specification=ifnull(a.specification,0) + #{data.specificationIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('bonusScore')) or (colPickMode==1 and !data.containsKey('bonusScore'))">
                a.bonusScore=#{data.bonusScore},
            </if>
            <if test="(colPickMode==0 and data.containsKey('bonusScoreIncrement')) or (colPickMode==1 and !data.containsKey('bonusScoreIncrement'))">
                a.bonusScore=ifnull(a.bonusScore,0) + #{data.bonusScoreIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sumScore')) or (colPickMode==1 and !data.containsKey('sumScore'))">
                a.sumScore=#{data.sumScore},
            </if>
            <if test="(colPickMode==0 and data.containsKey('sumScoreIncrement')) or (colPickMode==1 and !data.containsKey('sumScoreIncrement'))">
                a.sumScore=ifnull(a.sumScore,0) + #{data.sumScoreIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('selfLevel')) or (colPickMode==1 and !data.containsKey('selfLevel'))">
                a.selfLevel=#{data.selfLevel},
            </if>
            <if test="(colPickMode==0 and data.containsKey('selfLevelIncrement')) or (colPickMode==1 and !data.containsKey('selfLevelIncrement'))">
                a.selfLevel=ifnull(a.selfLevel,0) + #{data.selfLevelIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('remark')) or (colPickMode==1 and !data.containsKey('remark'))">
                a.remark=#{data.remark},
            </if>
            <if test="(colPickMode==0 and data.containsKey('annex')) or (colPickMode==1 and !data.containsKey('annex'))">
                a.annex=#{data.annex},
            </if>
            <if test="(colPickMode==0 and data.containsKey('annexUrl')) or (colPickMode==1 and !data.containsKey('annexUrl'))">
                a.annexUrl=#{data.annexUrl},
            </if>
            <if test="(colPickMode==0 and data.containsKey('fillDate')) or (colPickMode==1 and !data.containsKey('fillDate'))">
                a.fillDate=#{data.fillDate},
            </if>
            <if test="(colPickMode==0 and data.containsKey('fillStatus')) or (colPickMode==1 and !data.containsKey('fillStatus'))">
                a.fillStatus=#{data.fillStatus},
            </if>
            <if test="(colPickMode==0 and data.containsKey('fillStatusIncrement')) or (colPickMode==1 and !data.containsKey('fillStatusIncrement'))">
                a.fillStatus=ifnull(a.fillStatus,0) + #{data.fillStatusIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserId')) or (colPickMode==1 and !data.containsKey('createUserId'))">
                a.createUserId=#{data.createUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createUserIdIncrement')) or (colPickMode==1 and !data.containsKey('createUserIdIncrement'))">
                a.createUserId=ifnull(a.createUserId,0) + #{data.createUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('createTime')) or (colPickMode==1 and !data.containsKey('createTime'))">
                a.createTime=#{data.createTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserId')) or (colPickMode==1 and !data.containsKey('updateUserId'))">
                a.updateUserId=#{data.updateUserId},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !data.containsKey('updateUserIdIncrement'))">
                a.updateUserId=ifnull(a.updateUserId,0) + #{data.updateUserIdIncrement},
            </if>
            <if test="(colPickMode==0 and data.containsKey('updateTime')) or (colPickMode==1 and !data.containsKey('updateTime'))">
                a.updateTime=#{data.updateTime},
            </if>
            <if test="(colPickMode==0 and data.containsKey('windowCode')) or (colPickMode==1 and !data.containsKey('windowCode'))">
                a.windowCode=#{data.windowCode},
            </if>
        </trim>
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </update>
    <!-- 批量更新 -->
    <update id="updateBatch" parameterType="paramDto">
        update mortals_xhx_window_perform as a
        <trim prefix="set" suffixOverrides=",">
            <trim prefix="year=(case" suffix="ELSE year end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('year')) or (colPickMode==1 and !item.containsKey('year'))">
                            when a.id=#{item.id} then #{item.year}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('yearIncrement')) or (colPickMode==1 and !item.containsKey('yearIncrement'))">
                            when a.id=#{item.id} then ifnull(a.year,0) + #{item.yearIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="month=(case" suffix="ELSE month end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('month')) or (colPickMode==1 and !item.containsKey('month'))">
                            when a.id=#{item.id} then #{item.month}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('monthIncrement')) or (colPickMode==1 and !item.containsKey('monthIncrement'))">
                            when a.id=#{item.id} then ifnull(a.month,0) + #{item.monthIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="windowId=(case" suffix="ELSE windowId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('windowId')) or (colPickMode==1 and !item.containsKey('windowId'))">
                            when a.id=#{item.id} then #{item.windowId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('windowIdIncrement')) or (colPickMode==1 and !item.containsKey('windowIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.windowId,0) + #{item.windowIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="windowName=(case" suffix="ELSE windowName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('windowName')) or (colPickMode==1 and !item.containsKey('windowName'))">
                        when a.id=#{item.id} then #{item.windowName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="ownerId=(case" suffix="ELSE ownerId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('ownerId')) or (colPickMode==1 and !item.containsKey('ownerId'))">
                            when a.id=#{item.id} then #{item.ownerId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('ownerIdIncrement')) or (colPickMode==1 and !item.containsKey('ownerIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.ownerId,0) + #{item.ownerIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="ownerName=(case" suffix="ELSE ownerName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('ownerName')) or (colPickMode==1 and !item.containsKey('ownerName'))">
                        when a.id=#{item.id} then #{item.ownerName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="deptId=(case" suffix="ELSE deptId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('deptId')) or (colPickMode==1 and !item.containsKey('deptId'))">
                            when a.id=#{item.id} then #{item.deptId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('deptIdIncrement')) or (colPickMode==1 and !item.containsKey('deptIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.deptId,0) + #{item.deptIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="deptName=(case" suffix="ELSE deptName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('deptName')) or (colPickMode==1 and !item.containsKey('deptName'))">
                        when a.id=#{item.id} then #{item.deptName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="salaId=(case" suffix="ELSE salaId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('salaId')) or (colPickMode==1 and !item.containsKey('salaId'))">
                            when a.id=#{item.id} then #{item.salaId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('salaIdIncrement')) or (colPickMode==1 and !item.containsKey('salaIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.salaId,0) + #{item.salaIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="salaName=(case" suffix="ELSE salaName end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('salaName')) or (colPickMode==1 and !item.containsKey('salaName'))">
                        when a.id=#{item.id} then #{item.salaName}
                    </if>
                </foreach>
            </trim>
            <trim prefix="workSummary=(case" suffix="ELSE workSummary end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('workSummary')) or (colPickMode==1 and !item.containsKey('workSummary'))">
                        when a.id=#{item.id} then #{item.workSummary}
                    </if>
                </foreach>
            </trim>
            <trim prefix="bonusReport=(case" suffix="ELSE bonusReport end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('bonusReport')) or (colPickMode==1 and !item.containsKey('bonusReport'))">
                        when a.id=#{item.id} then #{item.bonusReport}
                    </if>
                </foreach>
            </trim>
            <trim prefix="proof=(case" suffix="ELSE proof end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('proof')) or (colPickMode==1 and !item.containsKey('proof'))">
                        when a.id=#{item.id} then #{item.proof}
                    </if>
                </foreach>
            </trim>
            <trim prefix="proofUrl=(case" suffix="ELSE proofUrl end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('proofUrl')) or (colPickMode==1 and !item.containsKey('proofUrl'))">
                        when a.id=#{item.id} then #{item.proofUrl}
                    </if>
                </foreach>
            </trim>
            <trim prefix="deductStatement=(case" suffix="ELSE deductStatement end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('deductStatement')) or (colPickMode==1 and !item.containsKey('deductStatement'))">
                        when a.id=#{item.id} then #{item.deductStatement}
                    </if>
                </foreach>
            </trim>
            <trim prefix="deductScore=(case" suffix="ELSE deductScore end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('deductScore')) or (colPickMode==1 and !item.containsKey('deductScore'))">
                            when a.id=#{item.id} then #{item.deductScore}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('deductScoreIncrement')) or (colPickMode==1 and !item.containsKey('deductScoreIncrement'))">
                            when a.id=#{item.id} then ifnull(a.deductScore,0) + #{item.deductScoreIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="discipline=(case" suffix="ELSE discipline end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('discipline')) or (colPickMode==1 and !item.containsKey('discipline'))">
                            when a.id=#{item.id} then #{item.discipline}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('disciplineIncrement')) or (colPickMode==1 and !item.containsKey('disciplineIncrement'))">
                            when a.id=#{item.id} then ifnull(a.discipline,0) + #{item.disciplineIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="specification=(case" suffix="ELSE specification end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('specification')) or (colPickMode==1 and !item.containsKey('specification'))">
                            when a.id=#{item.id} then #{item.specification}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('specificationIncrement')) or (colPickMode==1 and !item.containsKey('specificationIncrement'))">
                            when a.id=#{item.id} then ifnull(a.specification,0) + #{item.specificationIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="bonusScore=(case" suffix="ELSE bonusScore end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('bonusScore')) or (colPickMode==1 and !item.containsKey('bonusScore'))">
                            when a.id=#{item.id} then #{item.bonusScore}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('bonusScoreIncrement')) or (colPickMode==1 and !item.containsKey('bonusScoreIncrement'))">
                            when a.id=#{item.id} then ifnull(a.bonusScore,0) + #{item.bonusScoreIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="sumScore=(case" suffix="ELSE sumScore end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('sumScore')) or (colPickMode==1 and !item.containsKey('sumScore'))">
                            when a.id=#{item.id} then #{item.sumScore}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('sumScoreIncrement')) or (colPickMode==1 and !item.containsKey('sumScoreIncrement'))">
                            when a.id=#{item.id} then ifnull(a.sumScore,0) + #{item.sumScoreIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="selfLevel=(case" suffix="ELSE selfLevel end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('selfLevel')) or (colPickMode==1 and !item.containsKey('selfLevel'))">
                            when a.id=#{item.id} then #{item.selfLevel}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('selfLevelIncrement')) or (colPickMode==1 and !item.containsKey('selfLevelIncrement'))">
                            when a.id=#{item.id} then ifnull(a.selfLevel,0) + #{item.selfLevelIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="remark=(case" suffix="ELSE remark end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('remark')) or (colPickMode==1 and !item.containsKey('remark'))">
                        when a.id=#{item.id} then #{item.remark}
                    </if>
                </foreach>
            </trim>
            <trim prefix="annex=(case" suffix="ELSE annex end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('annex')) or (colPickMode==1 and !item.containsKey('annex'))">
                        when a.id=#{item.id} then #{item.annex}
                    </if>
                </foreach>
            </trim>
            <trim prefix="annexUrl=(case" suffix="ELSE annexUrl end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('annexUrl')) or (colPickMode==1 and !item.containsKey('annexUrl'))">
                        when a.id=#{item.id} then #{item.annexUrl}
                    </if>
                </foreach>
            </trim>
            <trim prefix="fillDate=(case" suffix="ELSE fillDate end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('fillDate')) or (colPickMode==1 and !item.containsKey('fillDate'))">
                        when a.id=#{item.id} then #{item.fillDate}
                    </if>
                </foreach>
            </trim>
            <trim prefix="fillStatus=(case" suffix="ELSE fillStatus end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('fillStatus')) or (colPickMode==1 and !item.containsKey('fillStatus'))">
                            when a.id=#{item.id} then #{item.fillStatus}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('fillStatusIncrement')) or (colPickMode==1 and !item.containsKey('fillStatusIncrement'))">
                            when a.id=#{item.id} then ifnull(a.fillStatus,0) + #{item.fillStatusIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="createUserId=(case" suffix="ELSE createUserId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('createUserId')) or (colPickMode==1 and !item.containsKey('createUserId'))">
                            when a.id=#{item.id} then #{item.createUserId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('createUserIdIncrement')) or (colPickMode==1 and !item.containsKey('createUserIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.createUserId,0) + #{item.createUserIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="createTime=(case" suffix="ELSE createTime end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('createTime')) or (colPickMode==1 and !item.containsKey('createTime'))">
                        when a.id=#{item.id} then #{item.createTime}
                    </if>
                </foreach>
            </trim>
            <trim prefix="updateUserId=(case" suffix="ELSE updateUserId end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <choose>
                        <when test="(colPickMode==0 and item.containsKey('updateUserId')) or (colPickMode==1 and !item.containsKey('updateUserId'))">
                            when a.id=#{item.id} then #{item.updateUserId}
                        </when>
                        <when test="(colPickMode==0 and item.containsKey('updateUserIdIncrement')) or (colPickMode==1 and !item.containsKey('updateUserIdIncrement'))">
                            when a.id=#{item.id} then ifnull(a.updateUserId,0) + #{item.updateUserIdIncrement}
                        </when>
                    </choose>
                </foreach>
            </trim>
            <trim prefix="updateTime=(case" suffix="ELSE updateTime end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('updateTime')) or (colPickMode==1 and !item.containsKey('updateTime'))">
                        when a.id=#{item.id} then #{item.updateTime}
                    </if>
                </foreach>
            </trim>
            <trim prefix="windowCode=(case" suffix="ELSE windowCode end),">
                <foreach collection="data.dataList" item="item" index="index" separator="" >
                    <if test="(colPickMode==0 and item.containsKey('windowCode')) or (colPickMode==1 and !item.containsKey('windowCode'))">
                        when a.id=#{item.id} then #{item.windowCode}
                    </if>
                </foreach>
            </trim>
        </trim>
        where id in
        <foreach collection="data.dataList" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </update>
    <!-- 根据主健查询 -->
    <select id="getByKey" parameterType="paramDto" resultMap="WindowPerformEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_window_perform as a
        where a.id=#{condition.id}
    </select>
    <!-- 根据主健删除 -->
    <delete id="deleteByKey" parameterType="paramDto">
        delete a.* from mortals_xhx_window_perform as a where a.id=#{condition.id}
    </delete>
    <!-- 根据主健删除一批，针对单一主健有效 -->
    <delete id="deleteByKeys">
        delete from mortals_xhx_window_perform where id in
        <foreach collection="array" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>
    <!-- 根据主健列表删除一批，针对单一主健有效 -->
    <delete id="deleteByKeyList">
        delete from mortals_xhx_window_perform where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>

    <!-- 根据对象列表删除一批，针对单一主健有效 -->
    <delete id="deleteByEntityList">
        delete from mortals_xhx_window_perform where id in
        <foreach collection="list" item="item" index="index" open="(" separator="," close=")">
            #{item.id}
        </foreach>
    </delete>
    <!-- 根据paramDto删除一批 -->
    <delete id="deleteByMap" parameterType="paramDto">
        delete a.* from mortals_xhx_window_perform as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </delete>
    <!-- 获取列表 -->
    <select id="getList" parameterType="paramDto" resultMap="WindowPerformEntity-Map">
        select <include refid="_columns"/>
        from mortals_xhx_window_perform as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
        <include refid="_orderCols_"/>
    </select>



    <!-- 获取 -->
    <select id="getListCount" parameterType="paramDto" resultType="int">
        select count(1)
        from mortals_xhx_window_perform as a
        <trim suffixOverrides="where" suffix="">
            where
            <trim prefixOverrides="and" prefix="">
                <include refid="_condition_"/>
            </trim>
        </trim>
    </select>
    <!-- 条件映射 -->
    <sql id="_condition_">
        <if test="condition != null and !condition.isEmpty()">
            <!-- 条件映射-普通条件 -->
            <include refid="_condition_param_">
                <property name="_conditionParam_" value="condition"/>
                <property name="_conditionType_" value="and"/>
            </include>
            <!-- 条件映射-集合之间使用AND，集合中元素使用OR-(list[0].1 or list[0].2) and (list[1].3 or list[1].4) -->
            <if test="condition.containsKey('andConditionList') and !condition.andConditionList.isEmpty()">
                and
                <foreach collection="condition.andConditionList" open="(" close=")" index="index" item="andCondition" separator=" and ">
                    <trim prefixOverrides="or" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="andCondition"/>
                            <property name="_conditionType_" value="or"/>
                        </include>
                    </trim>
                </foreach>
            </if>
            <!-- 条件映射-集合之间使用OR，集合中元素使用AND-(list[0].1 and list[0].2) or (list[1].3 and list[1].4) -->
            <if test="condition.containsKey('orConditionList') and !condition.orConditionList.isEmpty()">
                and
                <foreach collection="condition.orConditionList" open="(" close=")" index="index" item="orCondition" separator=" or ">
                    <trim prefixOverrides="and" prefix="(" suffix=")">
                        <include refid="_condition_param_">
                            <property name="_conditionParam_" value="orCondition"/>
                            <property name="_conditionType_" value="and"/>
                        </include>
                    </trim>
                </foreach>
            </if>
        </if>
    </sql>
    <!-- 条件映射-代参数 -->
    <sql id="_condition_param_">
        <bind name="conditionParamRef" value="${_conditionParam_}"/>
        <if test="conditionParamRef.containsKey('id')">
            <if test="conditionParamRef.id != null">
                ${_conditionType_} a.id=#{${_conditionParam_}.id}
            </if>
        </if>
        <if test="conditionParamRef.containsKey('id')">
            <if test="conditionParamRef.id != null ">
                ${_conditionType_} a.id = #{${_conditionParam_}.id}
            </if>
            <if test="conditionParamRef.id == null">
                ${_conditionType_} a.id is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
            ${_conditionType_} a.id in
            <foreach collection="conditionParamRef.idList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('idNotList') and conditionParamRef.idNotList.size() > 0">
            ${_conditionType_} a.id not in
            <foreach collection="conditionParamRef.idNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('idStart') and conditionParamRef.idStart != null">
            ${_conditionType_} a.id <![CDATA[ >= ]]> #{${_conditionParam_}.idStart}
        </if>
        <if test="conditionParamRef.containsKey('idEnd') and conditionParamRef.idEnd != null">
            ${_conditionType_} a.id <![CDATA[ <= ]]> #{${_conditionParam_}.idEnd}
        </if>

        <if test="conditionParamRef.containsKey('year')">
            <if test="conditionParamRef.year != null ">
                ${_conditionType_} a.year = #{${_conditionParam_}.year}
            </if>
            <if test="conditionParamRef.year == null">
                ${_conditionType_} a.year is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('yearList') and conditionParamRef.yearList.size() > 0">
            ${_conditionType_} a.year in
            <foreach collection="conditionParamRef.yearList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('yearNotList') and conditionParamRef.yearNotList.size() > 0">
            ${_conditionType_} a.year not in
            <foreach collection="conditionParamRef.yearNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('yearStart') and conditionParamRef.yearStart != null">
            ${_conditionType_} a.year <![CDATA[ >= ]]> #{${_conditionParam_}.yearStart}
        </if>
        <if test="conditionParamRef.containsKey('yearEnd') and conditionParamRef.yearEnd != null">
            ${_conditionType_} a.year <![CDATA[ <= ]]> #{${_conditionParam_}.yearEnd}
        </if>

        <if test="conditionParamRef.containsKey('month')">
            <if test="conditionParamRef.month != null ">
                ${_conditionType_} a.month = #{${_conditionParam_}.month}
            </if>
            <if test="conditionParamRef.month == null">
                ${_conditionType_} a.month is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('monthList') and conditionParamRef.monthList.size() > 0">
            ${_conditionType_} a.month in
            <foreach collection="conditionParamRef.monthList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('monthNotList') and conditionParamRef.monthNotList.size() > 0">
            ${_conditionType_} a.month not in
            <foreach collection="conditionParamRef.monthNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('monthStart') and conditionParamRef.monthStart != null">
            ${_conditionType_} a.month <![CDATA[ >= ]]> #{${_conditionParam_}.monthStart}
        </if>
        <if test="conditionParamRef.containsKey('monthEnd') and conditionParamRef.monthEnd != null">
            ${_conditionType_} a.month <![CDATA[ <= ]]> #{${_conditionParam_}.monthEnd}
        </if>

        <if test="conditionParamRef.containsKey('windowId')">
            <if test="conditionParamRef.windowId != null ">
                ${_conditionType_} a.windowId = #{${_conditionParam_}.windowId}
            </if>
            <if test="conditionParamRef.windowId == null">
                ${_conditionType_} a.windowId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('windowIdList') and conditionParamRef.windowIdList.size() > 0">
            ${_conditionType_} a.windowId in
            <foreach collection="conditionParamRef.windowIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('windowIdNotList') and conditionParamRef.windowIdNotList.size() > 0">
            ${_conditionType_} a.windowId not in
            <foreach collection="conditionParamRef.windowIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('windowIdStart') and conditionParamRef.windowIdStart != null">
            ${_conditionType_} a.windowId <![CDATA[ >= ]]> #{${_conditionParam_}.windowIdStart}
        </if>
        <if test="conditionParamRef.containsKey('windowIdEnd') and conditionParamRef.windowIdEnd != null">
            ${_conditionType_} a.windowId <![CDATA[ <= ]]> #{${_conditionParam_}.windowIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('windowName')">
            <if test="conditionParamRef.windowName != null and conditionParamRef.windowName != ''">
                ${_conditionType_} a.windowName like #{${_conditionParam_}.windowName}
            </if>
            <if test="conditionParamRef.windowName == null">
                ${_conditionType_} a.windowName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('windowNameList') and conditionParamRef.windowNameList.size() > 0">
            ${_conditionType_} a.windowName in
            <foreach collection="conditionParamRef.windowNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('windowNameNotList') and conditionParamRef.windowNameNotList.size() > 0">
            ${_conditionType_} a.windowName not in
            <foreach collection="conditionParamRef.windowNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('ownerId')">
            <if test="conditionParamRef.ownerId != null ">
                ${_conditionType_} a.ownerId = #{${_conditionParam_}.ownerId}
            </if>
            <if test="conditionParamRef.ownerId == null">
                ${_conditionType_} a.ownerId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('ownerIdList') and conditionParamRef.ownerIdList.size() > 0">
            ${_conditionType_} a.ownerId in
            <foreach collection="conditionParamRef.ownerIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('ownerIdNotList') and conditionParamRef.ownerIdNotList.size() > 0">
            ${_conditionType_} a.ownerId not in
            <foreach collection="conditionParamRef.ownerIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('ownerIdStart') and conditionParamRef.ownerIdStart != null">
            ${_conditionType_} a.ownerId <![CDATA[ >= ]]> #{${_conditionParam_}.ownerIdStart}
        </if>
        <if test="conditionParamRef.containsKey('ownerIdEnd') and conditionParamRef.ownerIdEnd != null">
            ${_conditionType_} a.ownerId <![CDATA[ <= ]]> #{${_conditionParam_}.ownerIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('ownerName')">
            <if test="conditionParamRef.ownerName != null and conditionParamRef.ownerName != ''">
                ${_conditionType_} a.ownerName like #{${_conditionParam_}.ownerName}
            </if>
            <if test="conditionParamRef.ownerName == null">
                ${_conditionType_} a.ownerName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('ownerNameList') and conditionParamRef.ownerNameList.size() > 0">
            ${_conditionType_} a.ownerName in
            <foreach collection="conditionParamRef.ownerNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('ownerNameNotList') and conditionParamRef.ownerNameNotList.size() > 0">
            ${_conditionType_} a.ownerName not in
            <foreach collection="conditionParamRef.ownerNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deptId')">
            <if test="conditionParamRef.deptId != null ">
                ${_conditionType_} a.deptId = #{${_conditionParam_}.deptId}
            </if>
            <if test="conditionParamRef.deptId == null">
                ${_conditionType_} a.deptId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('deptIdList') and conditionParamRef.deptIdList.size() > 0">
            ${_conditionType_} a.deptId in
            <foreach collection="conditionParamRef.deptIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deptIdNotList') and conditionParamRef.deptIdNotList.size() > 0">
            ${_conditionType_} a.deptId not in
            <foreach collection="conditionParamRef.deptIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deptIdStart') and conditionParamRef.deptIdStart != null">
            ${_conditionType_} a.deptId <![CDATA[ >= ]]> #{${_conditionParam_}.deptIdStart}
        </if>
        <if test="conditionParamRef.containsKey('deptIdEnd') and conditionParamRef.deptIdEnd != null">
            ${_conditionType_} a.deptId <![CDATA[ <= ]]> #{${_conditionParam_}.deptIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('deptName')">
            <if test="conditionParamRef.deptName != null and conditionParamRef.deptName != ''">
                ${_conditionType_} a.deptName like #{${_conditionParam_}.deptName}
            </if>
            <if test="conditionParamRef.deptName == null">
                ${_conditionType_} a.deptName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('deptNameList') and conditionParamRef.deptNameList.size() > 0">
            ${_conditionType_} a.deptName in
            <foreach collection="conditionParamRef.deptNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deptNameNotList') and conditionParamRef.deptNameNotList.size() > 0">
            ${_conditionType_} a.deptName not in
            <foreach collection="conditionParamRef.deptNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('salaId')">
            <if test="conditionParamRef.salaId != null ">
                ${_conditionType_} a.salaId = #{${_conditionParam_}.salaId}
            </if>
            <if test="conditionParamRef.salaId == null">
                ${_conditionType_} a.salaId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('salaIdList') and conditionParamRef.salaIdList.size() > 0">
            ${_conditionType_} a.salaId in
            <foreach collection="conditionParamRef.salaIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('salaIdNotList') and conditionParamRef.salaIdNotList.size() > 0">
            ${_conditionType_} a.salaId not in
            <foreach collection="conditionParamRef.salaIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('salaIdStart') and conditionParamRef.salaIdStart != null">
            ${_conditionType_} a.salaId <![CDATA[ >= ]]> #{${_conditionParam_}.salaIdStart}
        </if>
        <if test="conditionParamRef.containsKey('salaIdEnd') and conditionParamRef.salaIdEnd != null">
            ${_conditionType_} a.salaId <![CDATA[ <= ]]> #{${_conditionParam_}.salaIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('salaName')">
            <if test="conditionParamRef.salaName != null and conditionParamRef.salaName != ''">
                ${_conditionType_} a.salaName like #{${_conditionParam_}.salaName}
            </if>
            <if test="conditionParamRef.salaName == null">
                ${_conditionType_} a.salaName is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('salaNameList') and conditionParamRef.salaNameList.size() > 0">
            ${_conditionType_} a.salaName in
            <foreach collection="conditionParamRef.salaNameList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('salaNameNotList') and conditionParamRef.salaNameNotList.size() > 0">
            ${_conditionType_} a.salaName not in
            <foreach collection="conditionParamRef.salaNameNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('workSummary')">
            <if test="conditionParamRef.workSummary != null and conditionParamRef.workSummary != ''">
                ${_conditionType_} a.workSummary like #{${_conditionParam_}.workSummary}
            </if>
            <if test="conditionParamRef.workSummary == null">
                ${_conditionType_} a.workSummary is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('workSummaryList') and conditionParamRef.workSummaryList.size() > 0">
            ${_conditionType_} a.workSummary in
            <foreach collection="conditionParamRef.workSummaryList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('workSummaryNotList') and conditionParamRef.workSummaryNotList.size() > 0">
            ${_conditionType_} a.workSummary not in
            <foreach collection="conditionParamRef.workSummaryNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('bonusReport')">
            <if test="conditionParamRef.bonusReport != null and conditionParamRef.bonusReport != ''">
                ${_conditionType_} a.bonusReport like #{${_conditionParam_}.bonusReport}
            </if>
            <if test="conditionParamRef.bonusReport == null">
                ${_conditionType_} a.bonusReport is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('bonusReportList') and conditionParamRef.bonusReportList.size() > 0">
            ${_conditionType_} a.bonusReport in
            <foreach collection="conditionParamRef.bonusReportList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('bonusReportNotList') and conditionParamRef.bonusReportNotList.size() > 0">
            ${_conditionType_} a.bonusReport not in
            <foreach collection="conditionParamRef.bonusReportNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('proof')">
            <if test="conditionParamRef.proof != null and conditionParamRef.proof != ''">
                ${_conditionType_} a.proof like #{${_conditionParam_}.proof}
            </if>
            <if test="conditionParamRef.proof == null">
                ${_conditionType_} a.proof is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('proofList') and conditionParamRef.proofList.size() > 0">
            ${_conditionType_} a.proof in
            <foreach collection="conditionParamRef.proofList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('proofNotList') and conditionParamRef.proofNotList.size() > 0">
            ${_conditionType_} a.proof not in
            <foreach collection="conditionParamRef.proofNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('proofUrl')">
            <if test="conditionParamRef.proofUrl != null and conditionParamRef.proofUrl != ''">
                ${_conditionType_} a.proofUrl like #{${_conditionParam_}.proofUrl}
            </if>
            <if test="conditionParamRef.proofUrl == null">
                ${_conditionType_} a.proofUrl is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('proofUrlList') and conditionParamRef.proofUrlList.size() > 0">
            ${_conditionType_} a.proofUrl in
            <foreach collection="conditionParamRef.proofUrlList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('proofUrlNotList') and conditionParamRef.proofUrlNotList.size() > 0">
            ${_conditionType_} a.proofUrl not in
            <foreach collection="conditionParamRef.proofUrlNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('deductStatement')">
            <if test="conditionParamRef.deductStatement != null and conditionParamRef.deductStatement != ''">
                ${_conditionType_} a.deductStatement like #{${_conditionParam_}.deductStatement}
            </if>
            <if test="conditionParamRef.deductStatement == null">
                ${_conditionType_} a.deductStatement is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('deductStatementList') and conditionParamRef.deductStatementList.size() > 0">
            ${_conditionType_} a.deductStatement in
            <foreach collection="conditionParamRef.deductStatementList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deductStatementNotList') and conditionParamRef.deductStatementNotList.size() > 0">
            ${_conditionType_} a.deductStatement not in
            <foreach collection="conditionParamRef.deductStatementNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deductScore')">
            <if test="conditionParamRef.deductScore != null ">
                ${_conditionType_} a.deductScore = #{${_conditionParam_}.deductScore}
            </if>
            <if test="conditionParamRef.deductScore == null">
                ${_conditionType_} a.deductScore is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('deductScoreList') and conditionParamRef.deductScoreList.size() > 0">
            ${_conditionType_} a.deductScore in
            <foreach collection="conditionParamRef.deductScoreList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deductScoreNotList') and conditionParamRef.deductScoreNotList.size() > 0">
            ${_conditionType_} a.deductScore not in
            <foreach collection="conditionParamRef.deductScoreNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('deductScoreStart') and conditionParamRef.deductScoreStart != null">
            ${_conditionType_} a.deductScore <![CDATA[ >= ]]> #{${_conditionParam_}.deductScoreStart}
        </if>
        <if test="conditionParamRef.containsKey('deductScoreEnd') and conditionParamRef.deductScoreEnd != null">
            ${_conditionType_} a.deductScore <![CDATA[ <= ]]> #{${_conditionParam_}.deductScoreEnd}
        </if>

        <if test="conditionParamRef.containsKey('discipline')">
            <if test="conditionParamRef.discipline != null ">
                ${_conditionType_} a.discipline = #{${_conditionParam_}.discipline}
            </if>
            <if test="conditionParamRef.discipline == null">
                ${_conditionType_} a.discipline is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('disciplineList') and conditionParamRef.disciplineList.size() > 0">
            ${_conditionType_} a.discipline in
            <foreach collection="conditionParamRef.disciplineList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('disciplineNotList') and conditionParamRef.disciplineNotList.size() > 0">
            ${_conditionType_} a.discipline not in
            <foreach collection="conditionParamRef.disciplineNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('disciplineStart') and conditionParamRef.disciplineStart != null">
            ${_conditionType_} a.discipline <![CDATA[ >= ]]> #{${_conditionParam_}.disciplineStart}
        </if>
        <if test="conditionParamRef.containsKey('disciplineEnd') and conditionParamRef.disciplineEnd != null">
            ${_conditionType_} a.discipline <![CDATA[ <= ]]> #{${_conditionParam_}.disciplineEnd}
        </if>

        <if test="conditionParamRef.containsKey('specification')">
            <if test="conditionParamRef.specification != null ">
                ${_conditionType_} a.specification = #{${_conditionParam_}.specification}
            </if>
            <if test="conditionParamRef.specification == null">
                ${_conditionType_} a.specification is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('specificationList') and conditionParamRef.specificationList.size() > 0">
            ${_conditionType_} a.specification in
            <foreach collection="conditionParamRef.specificationList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('specificationNotList') and conditionParamRef.specificationNotList.size() > 0">
            ${_conditionType_} a.specification not in
            <foreach collection="conditionParamRef.specificationNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('specificationStart') and conditionParamRef.specificationStart != null">
            ${_conditionType_} a.specification <![CDATA[ >= ]]> #{${_conditionParam_}.specificationStart}
        </if>
        <if test="conditionParamRef.containsKey('specificationEnd') and conditionParamRef.specificationEnd != null">
            ${_conditionType_} a.specification <![CDATA[ <= ]]> #{${_conditionParam_}.specificationEnd}
        </if>

        <if test="conditionParamRef.containsKey('bonusScore')">
            <if test="conditionParamRef.bonusScore != null ">
                ${_conditionType_} a.bonusScore = #{${_conditionParam_}.bonusScore}
            </if>
            <if test="conditionParamRef.bonusScore == null">
                ${_conditionType_} a.bonusScore is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('bonusScoreList') and conditionParamRef.bonusScoreList.size() > 0">
            ${_conditionType_} a.bonusScore in
            <foreach collection="conditionParamRef.bonusScoreList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('bonusScoreNotList') and conditionParamRef.bonusScoreNotList.size() > 0">
            ${_conditionType_} a.bonusScore not in
            <foreach collection="conditionParamRef.bonusScoreNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('bonusScoreStart') and conditionParamRef.bonusScoreStart != null">
            ${_conditionType_} a.bonusScore <![CDATA[ >= ]]> #{${_conditionParam_}.bonusScoreStart}
        </if>
        <if test="conditionParamRef.containsKey('bonusScoreEnd') and conditionParamRef.bonusScoreEnd != null">
            ${_conditionType_} a.bonusScore <![CDATA[ <= ]]> #{${_conditionParam_}.bonusScoreEnd}
        </if>

        <if test="conditionParamRef.containsKey('sumScore')">
            <if test="conditionParamRef.sumScore != null ">
                ${_conditionType_} a.sumScore = #{${_conditionParam_}.sumScore}
            </if>
            <if test="conditionParamRef.sumScore == null">
                ${_conditionType_} a.sumScore is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('sumScoreList') and conditionParamRef.sumScoreList.size() > 0">
            ${_conditionType_} a.sumScore in
            <foreach collection="conditionParamRef.sumScoreList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('sumScoreNotList') and conditionParamRef.sumScoreNotList.size() > 0">
            ${_conditionType_} a.sumScore not in
            <foreach collection="conditionParamRef.sumScoreNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('sumScoreStart') and conditionParamRef.sumScoreStart != null">
            ${_conditionType_} a.sumScore <![CDATA[ >= ]]> #{${_conditionParam_}.sumScoreStart}
        </if>
        <if test="conditionParamRef.containsKey('sumScoreEnd') and conditionParamRef.sumScoreEnd != null">
            ${_conditionType_} a.sumScore <![CDATA[ <= ]]> #{${_conditionParam_}.sumScoreEnd}
        </if>

        <if test="conditionParamRef.containsKey('selfLevel')">
            <if test="conditionParamRef.selfLevel != null ">
                ${_conditionType_} a.selfLevel = #{${_conditionParam_}.selfLevel}
            </if>
            <if test="conditionParamRef.selfLevel == null">
                ${_conditionType_} a.selfLevel is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('selfLevelList') and conditionParamRef.selfLevelList.size() > 0">
            ${_conditionType_} a.selfLevel in
            <foreach collection="conditionParamRef.selfLevelList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('selfLevelNotList') and conditionParamRef.selfLevelNotList.size() > 0">
            ${_conditionType_} a.selfLevel not in
            <foreach collection="conditionParamRef.selfLevelNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('selfLevelStart') and conditionParamRef.selfLevelStart != null">
            ${_conditionType_} a.selfLevel <![CDATA[ >= ]]> #{${_conditionParam_}.selfLevelStart}
        </if>
        <if test="conditionParamRef.containsKey('selfLevelEnd') and conditionParamRef.selfLevelEnd != null">
            ${_conditionType_} a.selfLevel <![CDATA[ <= ]]> #{${_conditionParam_}.selfLevelEnd}
        </if>


        <if test="conditionParamRef.containsKey('remark')">
            <if test="conditionParamRef.remark != null and conditionParamRef.remark != ''">
                ${_conditionType_} a.remark like #{${_conditionParam_}.remark}
            </if>
            <if test="conditionParamRef.remark == null">
                ${_conditionType_} a.remark is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('remarkList') and conditionParamRef.remarkList.size() > 0">
            ${_conditionType_} a.remark in
            <foreach collection="conditionParamRef.remarkList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('remarkNotList') and conditionParamRef.remarkNotList.size() > 0">
            ${_conditionType_} a.remark not in
            <foreach collection="conditionParamRef.remarkNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('annex')">
            <if test="conditionParamRef.annex != null and conditionParamRef.annex != ''">
                ${_conditionType_} a.annex like #{${_conditionParam_}.annex}
            </if>
            <if test="conditionParamRef.annex == null">
                ${_conditionType_} a.annex is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('annexList') and conditionParamRef.annexList.size() > 0">
            ${_conditionType_} a.annex in
            <foreach collection="conditionParamRef.annexList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('annexNotList') and conditionParamRef.annexNotList.size() > 0">
            ${_conditionType_} a.annex not in
            <foreach collection="conditionParamRef.annexNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('annexUrl')">
            <if test="conditionParamRef.annexUrl != null and conditionParamRef.annexUrl != ''">
                ${_conditionType_} a.annexUrl like #{${_conditionParam_}.annexUrl}
            </if>
            <if test="conditionParamRef.annexUrl == null">
                ${_conditionType_} a.annexUrl is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('annexUrlList') and conditionParamRef.annexUrlList.size() > 0">
            ${_conditionType_} a.annexUrl in
            <foreach collection="conditionParamRef.annexUrlList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('annexUrlNotList') and conditionParamRef.annexUrlNotList.size() > 0">
            ${_conditionType_} a.annexUrl not in
            <foreach collection="conditionParamRef.annexUrlNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>

        <if test="conditionParamRef.containsKey('fillDate')">
            <if test="conditionParamRef.fillDate != null ">
                ${_conditionType_} a.fillDate = #{${_conditionParam_}.fillDate}
            </if>
            <if test="conditionParamRef.fillDate == null">
                ${_conditionType_} a.fillDate is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('fillDateStart') and conditionParamRef.fillDateStart != null and conditionParamRef.fillDateStart!=''">
            ${_conditionType_} a.fillDate <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.fillDateStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('fillDateEnd') and conditionParamRef.fillDateEnd != null and conditionParamRef.fillDateEnd!=''">
            ${_conditionType_} a.fillDate <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.fillDateEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('fillStatus')">
            <if test="conditionParamRef.fillStatus != null ">
                ${_conditionType_} a.fillStatus = #{${_conditionParam_}.fillStatus}
            </if>
            <if test="conditionParamRef.fillStatus == null">
                ${_conditionType_} a.fillStatus is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('fillStatusList') and conditionParamRef.fillStatusList.size() > 0">
            ${_conditionType_} a.fillStatus in
            <foreach collection="conditionParamRef.fillStatusList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('fillStatusNotList') and conditionParamRef.fillStatusNotList.size() > 0">
            ${_conditionType_} a.fillStatus not in
            <foreach collection="conditionParamRef.fillStatusNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('fillStatusStart') and conditionParamRef.fillStatusStart != null">
            ${_conditionType_} a.fillStatus <![CDATA[ >= ]]> #{${_conditionParam_}.fillStatusStart}
        </if>
        <if test="conditionParamRef.containsKey('fillStatusEnd') and conditionParamRef.fillStatusEnd != null">
            ${_conditionType_} a.fillStatus <![CDATA[ <= ]]> #{${_conditionParam_}.fillStatusEnd}
        </if>

        <if test="conditionParamRef.containsKey('createUserId')">
            <if test="conditionParamRef.createUserId != null ">
                ${_conditionType_} a.createUserId = #{${_conditionParam_}.createUserId}
            </if>
            <if test="conditionParamRef.createUserId == null">
                ${_conditionType_} a.createUserId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
            ${_conditionType_} a.createUserId in
            <foreach collection="conditionParamRef.createUserIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdNotList') and conditionParamRef.createUserIdNotList.size() > 0">
            ${_conditionType_} a.createUserId not in
            <foreach collection="conditionParamRef.createUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('createUserIdStart') and conditionParamRef.createUserIdStart != null">
            ${_conditionType_} a.createUserId <![CDATA[ >= ]]> #{${_conditionParam_}.createUserIdStart}
        </if>
        <if test="conditionParamRef.containsKey('createUserIdEnd') and conditionParamRef.createUserIdEnd != null">
            ${_conditionType_} a.createUserId <![CDATA[ <= ]]> #{${_conditionParam_}.createUserIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('createTime')">
            <if test="conditionParamRef.createTime != null ">
                ${_conditionType_} a.createTime = #{${_conditionParam_}.createTime}
            </if>
            <if test="conditionParamRef.createTime == null">
                ${_conditionType_} a.createTime is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('createTimeStart') and conditionParamRef.createTimeStart != null and conditionParamRef.createTimeStart!=''">
            ${_conditionType_} a.createTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('createTimeEnd') and conditionParamRef.createTimeEnd != null and conditionParamRef.createTimeEnd!=''">
            ${_conditionType_} a.createTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.createTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('updateUserId')">
            <if test="conditionParamRef.updateUserId != null ">
                ${_conditionType_} a.updateUserId = #{${_conditionParam_}.updateUserId}
            </if>
            <if test="conditionParamRef.updateUserId == null">
                ${_conditionType_} a.updateUserId is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
            ${_conditionType_} a.updateUserId in
            <foreach collection="conditionParamRef.updateUserIdList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdNotList') and conditionParamRef.updateUserIdNotList.size() > 0">
            ${_conditionType_} a.updateUserId not in
            <foreach collection="conditionParamRef.updateUserIdNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdStart') and conditionParamRef.updateUserIdStart != null">
            ${_conditionType_} a.updateUserId <![CDATA[ >= ]]> #{${_conditionParam_}.updateUserIdStart}
        </if>
        <if test="conditionParamRef.containsKey('updateUserIdEnd') and conditionParamRef.updateUserIdEnd != null">
            ${_conditionType_} a.updateUserId <![CDATA[ <= ]]> #{${_conditionParam_}.updateUserIdEnd}
        </if>


        <if test="conditionParamRef.containsKey('updateTime')">
            <if test="conditionParamRef.updateTime != null ">
                ${_conditionType_} a.updateTime = #{${_conditionParam_}.updateTime}
            </if>
            <if test="conditionParamRef.updateTime == null">
                ${_conditionType_} a.updateTime is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('updateTimeStart') and conditionParamRef.updateTimeStart != null and conditionParamRef.updateTimeStart!=''">
            ${_conditionType_} a.updateTime <![CDATA[ >= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeStart},' 00:00:00'),19),'%Y-%m-%d %k:%i:%s')
        </if>
        <if test="conditionParamRef.containsKey('updateTimeEnd') and conditionParamRef.updateTimeEnd != null and conditionParamRef.updateTimeEnd!=''">
            ${_conditionType_} a.updateTime <![CDATA[ <= ]]> STR_TO_DATE(left(concat(#{${_conditionParam_}.updateTimeEnd},' 23:59:59'),19),'%Y-%m-%d %k:%i:%s')
        </if>

        <if test="conditionParamRef.containsKey('windowCode')">
            <if test="conditionParamRef.windowCode != null and conditionParamRef.windowCode != ''">
                ${_conditionType_} a.windowCode like #{${_conditionParam_}.windowCode}
            </if>
            <if test="conditionParamRef.windowCode == null">
                ${_conditionType_} a.windowCode is null
            </if>
        </if>
        <if test="conditionParamRef.containsKey('windowCodeList') and conditionParamRef.windowCodeList.size() > 0">
            ${_conditionType_} a.windowCode in
            <foreach collection="conditionParamRef.windowCodeList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
        <if test="conditionParamRef.containsKey('windowCodeNotList') and conditionParamRef.windowCodeNotList.size() > 0">
            ${_conditionType_} a.windowCode not in
            <foreach collection="conditionParamRef.windowCodeNotList" open="(" close=")" index="index" item="item" separator=",">
                #{item}
            </foreach>
        </if>
    </sql>
    <sql id="_orderCols_">
        <if test="orderColList != null and !orderColList.isEmpty()">
            order by
            <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                field(a.id,
                <foreach collection="conditionParamRef.idList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('yearList') and conditionParamRef.yearList.size() > 0">
                field(a.year,
                <foreach collection="conditionParamRef.yearList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('monthList') and conditionParamRef.monthList.size() > 0">
                field(a.month,
                <foreach collection="conditionParamRef.monthList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('windowIdList') and conditionParamRef.windowIdList.size() > 0">
                field(a.windowId,
                <foreach collection="conditionParamRef.windowIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('ownerIdList') and conditionParamRef.ownerIdList.size() > 0">
                field(a.ownerId,
                <foreach collection="conditionParamRef.ownerIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('deptIdList') and conditionParamRef.deptIdList.size() > 0">
                field(a.deptId,
                <foreach collection="conditionParamRef.deptIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('salaIdList') and conditionParamRef.salaIdList.size() > 0">
                field(a.salaId,
                <foreach collection="conditionParamRef.salaIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('deductScoreList') and conditionParamRef.deductScoreList.size() > 0">
                field(a.deductScore,
                <foreach collection="conditionParamRef.deductScoreList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('disciplineList') and conditionParamRef.disciplineList.size() > 0">
                field(a.discipline,
                <foreach collection="conditionParamRef.disciplineList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('specificationList') and conditionParamRef.specificationList.size() > 0">
                field(a.specification,
                <foreach collection="conditionParamRef.specificationList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('bonusScoreList') and conditionParamRef.bonusScoreList.size() > 0">
                field(a.bonusScore,
                <foreach collection="conditionParamRef.bonusScoreList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('sumScoreList') and conditionParamRef.sumScoreList.size() > 0">
                field(a.sumScore,
                <foreach collection="conditionParamRef.sumScoreList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('selfLevelList') and conditionParamRef.selfLevelList.size() > 0">
                field(a.selfLevel,
                <foreach collection="conditionParamRef.selfLevelList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('fillStatusList') and conditionParamRef.fillStatusList.size() > 0">
                field(a.fillStatus,
                <foreach collection="conditionParamRef.fillStatusList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                field(a.createUserId,
                <foreach collection="conditionParamRef.createUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                field(a.updateUserId,
                <foreach collection="conditionParamRef.updateUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <trim suffixOverrides=","  suffix="">
                <foreach collection="orderColList" open="" close="" index="index" item="item" separator=",">
                    a.${item.colName} ${item.sortKind}
                </foreach>
            </trim>
        </if>
        <if test="(orderColList == null or orderColList.isEmpty()) and orderCol != null and !orderCol.isEmpty()">
            order by
            <if test="conditionParamRef.containsKey('idList') and conditionParamRef.idList.size() > 0">
                field(a.id,
                <foreach collection="conditionParamRef.idList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('yearList') and conditionParamRef.yearList.size() > 0">
                field(a.year,
                <foreach collection="conditionParamRef.yearList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('monthList') and conditionParamRef.monthList.size() > 0">
                field(a.month,
                <foreach collection="conditionParamRef.monthList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('windowIdList') and conditionParamRef.windowIdList.size() > 0">
                field(a.windowId,
                <foreach collection="conditionParamRef.windowIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('ownerIdList') and conditionParamRef.ownerIdList.size() > 0">
                field(a.ownerId,
                <foreach collection="conditionParamRef.ownerIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('deptIdList') and conditionParamRef.deptIdList.size() > 0">
                field(a.deptId,
                <foreach collection="conditionParamRef.deptIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('salaIdList') and conditionParamRef.salaIdList.size() > 0">
                field(a.salaId,
                <foreach collection="conditionParamRef.salaIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('deductScoreList') and conditionParamRef.deductScoreList.size() > 0">
                field(a.deductScore,
                <foreach collection="conditionParamRef.deductScoreList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('disciplineList') and conditionParamRef.disciplineList.size() > 0">
                field(a.discipline,
                <foreach collection="conditionParamRef.disciplineList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('specificationList') and conditionParamRef.specificationList.size() > 0">
                field(a.specification,
                <foreach collection="conditionParamRef.specificationList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('bonusScoreList') and conditionParamRef.bonusScoreList.size() > 0">
                field(a.bonusScore,
                <foreach collection="conditionParamRef.bonusScoreList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('sumScoreList') and conditionParamRef.sumScoreList.size() > 0">
                field(a.sumScore,
                <foreach collection="conditionParamRef.sumScoreList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('selfLevelList') and conditionParamRef.selfLevelList.size() > 0">
                field(a.selfLevel,
                <foreach collection="conditionParamRef.selfLevelList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('fillStatusList') and conditionParamRef.fillStatusList.size() > 0">
                field(a.fillStatus,
                <foreach collection="conditionParamRef.fillStatusList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('createUserIdList') and conditionParamRef.createUserIdList.size() > 0">
                field(a.createUserId,
                <foreach collection="conditionParamRef.createUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <if test="conditionParamRef.containsKey('updateUserIdList') and conditionParamRef.updateUserIdList.size() > 0">
                field(a.updateUserId,
                <foreach collection="conditionParamRef.updateUserIdList" open="" close=")" index="index" item="item" separator=",">
                    #{item}
                </foreach>
                ,
            </if>
            <trim suffixOverrides=","  suffix="">
                <if test="orderCol.containsKey('id')">
                    a.id
                    <if test='orderCol.id != null and "DESC".equalsIgnoreCase(orderCol.id)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('year')">
                    a.year
                    <if test='orderCol.year != null and "DESC".equalsIgnoreCase(orderCol.year)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('month')">
                    a.month
                    <if test='orderCol.month != null and "DESC".equalsIgnoreCase(orderCol.month)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('windowId')">
                    a.windowId
                    <if test='orderCol.windowId != null and "DESC".equalsIgnoreCase(orderCol.windowId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('windowName')">
                    a.windowName
                    <if test='orderCol.windowName != null and "DESC".equalsIgnoreCase(orderCol.windowName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('ownerId')">
                    a.ownerId
                    <if test='orderCol.ownerId != null and "DESC".equalsIgnoreCase(orderCol.ownerId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('ownerName')">
                    a.ownerName
                    <if test='orderCol.ownerName != null and "DESC".equalsIgnoreCase(orderCol.ownerName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('deptId')">
                    a.deptId
                    <if test='orderCol.deptId != null and "DESC".equalsIgnoreCase(orderCol.deptId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('deptName')">
                    a.deptName
                    <if test='orderCol.deptName != null and "DESC".equalsIgnoreCase(orderCol.deptName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('salaId')">
                    a.salaId
                    <if test='orderCol.salaId != null and "DESC".equalsIgnoreCase(orderCol.salaId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('salaName')">
                    a.salaName
                    <if test='orderCol.salaName != null and "DESC".equalsIgnoreCase(orderCol.salaName)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('workSummary')">
                    a.workSummary
                    <if test='orderCol.workSummary != null and "DESC".equalsIgnoreCase(orderCol.workSummary)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('bonusReport')">
                    a.bonusReport
                    <if test='orderCol.bonusReport != null and "DESC".equalsIgnoreCase(orderCol.bonusReport)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('proof')">
                    a.proof
                    <if test='orderCol.proof != null and "DESC".equalsIgnoreCase(orderCol.proof)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('proofUrl')">
                    a.proofUrl
                    <if test='orderCol.proofUrl != null and "DESC".equalsIgnoreCase(orderCol.proofUrl)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('deductStatement')">
                    a.deductStatement
                    <if test='orderCol.deductStatement != null and "DESC".equalsIgnoreCase(orderCol.deductStatement)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('deductScore')">
                    a.deductScore
                    <if test='orderCol.deductScore != null and "DESC".equalsIgnoreCase(orderCol.deductScore)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('discipline')">
                    a.discipline
                    <if test='orderCol.discipline != null and "DESC".equalsIgnoreCase(orderCol.discipline)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('specification')">
                    a.specification
                    <if test='orderCol.specification != null and "DESC".equalsIgnoreCase(orderCol.specification)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('bonusScore')">
                    a.bonusScore
                    <if test='orderCol.bonusScore != null and "DESC".equalsIgnoreCase(orderCol.bonusScore)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('sumScore')">
                    a.sumScore
                    <if test='orderCol.sumScore != null and "DESC".equalsIgnoreCase(orderCol.sumScore)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('selfLevel')">
                    a.selfLevel
                    <if test='orderCol.selfLevel != null and "DESC".equalsIgnoreCase(orderCol.selfLevel)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('remark')">
                    a.remark
                    <if test='orderCol.remark != null and "DESC".equalsIgnoreCase(orderCol.remark)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('annex')">
                    a.annex
                    <if test='orderCol.annex != null and "DESC".equalsIgnoreCase(orderCol.annex)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('annexUrl')">
                    a.annexUrl
                    <if test='orderCol.annexUrl != null and "DESC".equalsIgnoreCase(orderCol.annexUrl)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('fillDate')">
                    a.fillDate
                    <if test='orderCol.fillDate != null and "DESC".equalsIgnoreCase(orderCol.fillDate)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('fillStatus')">
                    a.fillStatus
                    <if test='orderCol.fillStatus != null and "DESC".equalsIgnoreCase(orderCol.fillStatus)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('createUserId')">
                    a.createUserId
                    <if test='orderCol.createUserId != null and "DESC".equalsIgnoreCase(orderCol.createUserId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('createTime')">
                    a.createTime
                    <if test='orderCol.createTime != null and "DESC".equalsIgnoreCase(orderCol.createTime)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('updateUserId')">
                    a.updateUserId
                    <if test='orderCol.updateUserId != null and "DESC".equalsIgnoreCase(orderCol.updateUserId)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('updateTime')">
                    a.updateTime
                    <if test='orderCol.updateTime != null and "DESC".equalsIgnoreCase(orderCol.updateTime)'>DESC</if>
                    ,
                </if>
                <if test="orderCol.containsKey('windowCode')">
                    a.windowCode
                    <if test='orderCol.windowCode != null and "DESC".equalsIgnoreCase(orderCol.windowCode)'>DESC</if>
                    ,
                </if>
            </trim>
        </if>


    </sql>
    <sql id="_group_by_">
        <if test="groupList != null and !groupList.isEmpty()">
            GROUP BY
            <trim suffixOverrides=","  suffix="">
                <foreach collection="groupList" open="" close="" index="index" item="item" separator=",">
                    ${item}
                </foreach>
            </trim>
        </if>
    </sql>
</mapper>